<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>JS Task:2</title>
  </head>
  <body>
    <h1>Javascript Inexture Task:2</h1>
    <script>
      //Code:1
        let num;
        for (num = 1; num <= 100; num++) {
          if (num % 3 == 0 && num % 5 == 0)
              document.write("FIZZ-BUZZ" + " ");
          else if (num % 3 == 0)
              document.write("Fizz" + " ");
          else if (num % 5 == 0)
              document.write("Buzz" + " ");
          else
              document.write(num + " ");
        }
      document.write("<br/>");
      document.write("<br/>");

      //Code:2
      let number;
      for (number = 1; number <= 100; number++) {
        if (number % 15 == 0)
            document.write("FIZZ-BUZZ" + " ");
        else if (number % 3 == 0)
            document.write("Fizz" + " ");
        else if (number % 5 == 0) 
            document.write("Buzz" + " ");
        else 
            document.write(number + " ");
      }
      document.write("<br/>");
      document.write("<br/>");
     
      //Code:3
      for (let i = 1; i < 101; i++)
        //Use of Ternary Operator
            document.write(
                (i % 3 ? "" : "fizz") + (i % 5 ? "" : "buzz" + " ") || i + " "
        );
    </script>
  </body>
</html>
